<div class="filter-header-bar" *ngIf="type == 'full'">
  <ion-row class="combobox-box-search">
    <ion-col class="col-combobox" size="3">
      <custom-ion-select class="custom-ion-select" placeholder="Tỉnh thành" [isDialog]="true"
        [options]="{labelDefault:'Tỉnh thành'}" type="TinhThanh" [(ngModel)]="this.search.idTinhThanh"
        (onChange)="applySearch()"></custom-ion-select>
    </ion-col>
    <ion-col class="col-combobox" size="3">
      <custom-ion-select class="custom-ion-select" placeholder="Danh mục" [isDialog]="true"
        [options]="{labelDefault:'Danh mục'}" type="Menu" [(ngModel)]="this.search.idMenu"
        (onChange)="onChangeTrangThai()">
      </custom-ion-select>
    </ion-col>
    <ion-col class="col-combobox" size="3">
      <custom-ion-select class="custom-ion-select" placeholder="Xe mới/cũ" [isDialog]="true"
        [options]="{labelDefault:'Xe mới/cũ'}" type="TinhTrangDangTin" [(ngModel)]="this.search.tinhTrang"
        (onChange)="applySearch()">
      </custom-ion-select>
    </ion-col>
    <ion-col class="col-combobox" size="3" (click)="openModalFilter()">
      <span class="title">Bộ lọc</span><i class="fas fa-filter"></i>
      <ion-badge *ngIf="updateFilter() > 0">{{updateFilter()}}</ion-badge>
    </ion-col>
  </ion-row>
</div>
<div class="filter-header-bar" *ngIf="type == 'basic'">
  <ion-row class="combobox-box-search">
    <ion-col class="col-combobox" style="justify-content: start;">
      <custom-ion-select *ngIf="this.options.trangThai" class="custom-ion-select" style="max-width: 120px"
        placeholder="Chọn trạng thái" [options]="{labelDefault:'Chọn trạng thái'}" type="TrangThai"
        [(ngModel)]="this.search.trangThai" (onChange)="applySearch()">
      </custom-ion-select>
      <custom-ion-select *ngIf="this.options.tinhTrangDuyet" class="custom-ion-select" style="max-width: 120px"
        placeholder="Chọn duyệt" [options]="{labelDefault:'Chọn duyệt'}" type="TinhTrangDuyet"
        [(ngModel)]="this.search.tinhTrangDuyet" (onChange)="applySearch()">
      </custom-ion-select>
      <custom-ion-select *ngIf="this.options.typeThongBao" class="custom-ion-select" style="max-width: 150px"
        placeholder="Chọn kiểu thông báo" [options]="{labelDefault:'Chọn kiểu thông báo'}" type="TypeThongBao"
        [(ngModel)]="this.search.typeThongBao" (onChange)="applySearch()">
      </custom-ion-select>
      <custom-ion-select *ngIf="this.options.trangThaiViPham" class="custom-ion-select" style="max-width: 180px"
        placeholder="Chọn trạng thái vi phạm" [options]="{labelDefault:'Chọn trạng thái vi phạm'}"
        type="TrangThaiViPham" [(ngModel)]="this.search.trangThaiViPham" (onChange)="applySearch()">
      </custom-ion-select>
      <custom-ion-select *ngIf="this.options.trangThaiBlacklist" class="custom-ion-select" style="max-width: 120px"
        placeholder="Chọn trạng thái" [options]="{labelDefault:'Chọn trạng thái'}" type="TrangThaiBlackList"
        [(ngModel)]="this.search.trangThaiBlacklist" (onChange)="applySearch()">
      </custom-ion-select>
      <custom-ion-select *ngIf="this.options.trangThaiIsBlock" class="custom-ion-select" style="max-width: 120px"
        placeholder="Chọn trạng thái" [isDialog]="false" [options]="{labelDefault:'Chọn trạng thái'}"
        type="TrangThaiIsBlock" [(ngModel)]="this.search.trangThaiBlacklist" (onChange)="applySearch()">
      </custom-ion-select>
      <custom-ion-select *ngIf="this.options.osName" class="custom-ion-select" style="max-width: 120px"
        placeholder="Chọn hệ điều hành" [isDialog]="false" [options]="{labelDefault:'Chọn hệ điều hành'}" type="OsName"
        [(ngModel)]="this.search.osName" (onChange)="applySearch()">
      </custom-ion-select>
      <custom-ion-select *ngIf="this.options.thanhVien" class="custom-ion-select" style="max-width: 120px"
        placeholder="Chọn thành viên" [options]="{labelDefault:'Chọn thành viên'}" type="ThanhVien"
        [(ngModel)]="this.search.idThanhVien" (onChange)="applySearch()">
      </custom-ion-select>

      <custom-ion-select *ngIf="this.options.adminApprove" class="custom-ion-select" style="max-width: 120px"
        placeholder="Chọn admin duyệt" [options]="{labelDefault:'Chọn admin duyệt'}" type="AdminApprove"
        [(ngModel)]="this.search.idAdminApprove" (onChange)="applySearch()">
      </custom-ion-select>
      <custom-ion-select *ngIf="this.options.admin" class="custom-ion-select" style="max-width: 120px"
        placeholder="Chọn admin" [options]="{labelDefault:'Chọn admin'}" type="Admin" [(ngModel)]="this.search.idAdmin"
        (onChange)="applySearch()">
      </custom-ion-select>
      
      <ion-select *ngIf="this.options.orderString && this.options.dataOrder" [(ngModel)]="this.search.orderString" (ionChange)="applySearch()"class="custom-ion-select"
        style="max-width: 120px" placeholder="Sắp xếp">
        <ion-select-option *ngFor="let order of this.options.dataOrder" [value]="order.value">{{order.label}} 
        </ion-select-option>
      </ion-select>
      <ion-icon name="arrow-down"
        *ngIf="this.options.orderString && this.options.dataOrder && (this.search.orderType == 'asc' || !this.search.orderType)" (click)="this.search.orderType = 'desc'; applySearch()">
      </ion-icon>
      <ion-icon name="arrow-up" *ngIf="this.options.orderString && this.options.dataOrder && this.search.orderType == 'desc'" (click)="this.search.orderType = 'asc'; applySearch()"></ion-icon>
    </ion-col>
  </ion-row>
</div>

